Last Comment Bug 1133139 - Show a warning when the binary component cannot be loaded
: Show a warning when the binary component cannot be loaded
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Lightning Only (show other bugs)
: Trunk
: All All
-- normal (vote)
: 4.0.0.1
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-13 16:27 PST by Philipp Kewisch [:Fallen]
Modified: 2015-02-22 16:51 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (5.83 KB, patch)
2015-02-13 16:30 PST, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-02-13 16:27:41 PST
Another big release is coming up and we still have libical. It's again likely that some people will manage to install a mismatching Lightning version. This patch at least tells the user what went wrong, instead of leaving him alone with a broken view.
Comment 1 User image Philipp Kewisch [:Fallen] 2015-02-13 16:30:29 PST
Created attachment 8564420 [details] [diff] [review]
Fix - v1
Comment 2 User image Mohit Kanwal [:redDragon] 2015-02-20 11:30:34 PST
Comment on attachment 8564420 [details] [diff] [review]
Fix - v1

Review of attachment 8564420 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me.

::: calendar/lightning/content/messenger-overlay-sidebar.js
@@ +506,5 @@
> +    const THUNDERBIRD_GUID = "{3550f703-e582-4d05-9a08-453d09bdfdc6}";
> +    const SEAMONKEY_GUID = "{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}";
> +    const LIGHTNING_GUID = "{e2fda1a4-762b-4020-b5ad-a41df1933103}";
> +
> +    return Task.spawn(function*() {

ah cool! new generator function syntax here, looks cool. But why do we need it?
Comment 3 User image Philipp Kewisch [:Fallen] 2015-02-22 16:37:52 PST
Ah you are right, a bit overkill to use a Task here. I've switched to just using the callback function.
Comment 4 User image Philipp Kewisch [:Fallen] 2015-02-22 16:51:10 PST
Pushed to comm-central changeset e529163574ff

Note You need to log in before you can comment on or make changes to this bug.